/* Color Theme Swatches in Hex */
.green-1 { color: #014034; }
.green-2 { color: #267365; }
.green-3 { color: #5DA698; }
.green-4 { color: #027353; }
.white { color: #D9D9D9; }

/** NAV BAR **/
nav{
    display: flex;
    justify-content: center;
    align-items: center;

    border-radius: 8px;
    font-size: 30px;
    height: 3rem;

}

nav ul {
    display: flex;
    list-style: none;
    border: 1px solid #FFFFFF;
}

nav li {
    display: flex;
    height: 3rem;
    background-color: #027353;
    justify-content: center;
    align-items: center;

}

nav li:hover{
    background-color: #5DA698;
}

nav a {
    color: #D9D9D9;
    text-decoration: none;
    text-align: center;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 7px;
    padding-bottom: 7px;

}

nav a:hover{
    color: whitesmoke;
}

/** BODY **/

body{
    background: linear-gradient(#027353, #014034) fixed center center;
    background-size: cover;
    font-family: 'Arial', cursive;
    color: black;
}

/** BOUTON VALIDATION **/
.btn-val {
    background-color: #D9D9D9;
    width: 100%;
    height: 3rem;
    border-radius: 8px;
    border-width: 0;
    cursor: pointer;
    color: #027353;
    font-size: 20px;
}

.btn-val:hover {
    color: #D9D9D9;
    background-color: #267365;
    border-color: #D9D9D9;

}

/** FORMULAIRE **/

.div-form {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.form{
    width: 25%;
}

.input {
    background-color: #D9D9D9;
    line-height: normal;
    width: 100%;
    height: 2rem;
    border-width: 0;
    padding-left: 10px;
    -webkit-box-sizing: border-box;
}

/** AFFICHAGE **/

.label {
    font-weight: bold;
    color : #D9D9D9;
    padding-top: 0;
    padding-left: 0;
    letter-spacing: .025em;
    font-size: 1.125em;
    line-height: 1.25;
    position: relative;
    z-index: 100;
}

.footer {
    position: relative;
    bottom: 0;
    color: #D9D9D9;
}

.footer_link {
    color: #D9D9D9;
}

h2 {
    color: #D9D9D9;
    font-size: 2rem;
    text-align: center;
}

h4 {
    font-size: 22px;
    color: #D9D9D9;
    text-align: center;
}

.btn_link {
    width: 100%;
    height: 100%;
    color: #027353;
    font-size: 20px;
    line-height: 2rem;
    text-decoration: none;
    border-radius: 8px;
}

.btn_link:hover{
    background-color: #267365;
    color: #D9D9D9;
}

.div_link{
    width:100%;
    height: 2rem;
    display: flex;
    background-color: #D9D9D9;
    text-align: center;
    align-items: center;
    border-radius: 8px;
}

.btn_home_creer_sortie {
    display: flex;
    width: 16%;
    height: 100%;
    color: #027353;
    font-size: 20px;
    line-height: 2rem;
    text-decoration: none;
    justify-content: center;
    background-color: #D9D9D9;
    border-radius: 6px;
}

.btn_home_creer_sortie:hover {
    background-color: #267365;
    color: #D9D9D9;
}

.btn_nom_profil {
    width: 100%;
    height: 100%;
    color: #D9D9D9;
    line-height: 2rem;
    text-decoration: none;
    justify-content: center;
}

.div-affichage {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.div_detail_event {
    display: flex;
    flex-direction: row;
}

.fieldset_detail_event {
    width: 100%;
}

.fieldset_event_participants {
    width: 25%;
    text-align: center;
}

/** TABLEAU **/
table{
    border: 1px solid #D9D9D9;
    width: 75%;
}

th,
td {
    color: #D9D9D9;
    text-align: center;
    border-bottom: 1px solid #D9D9D9;
    border-left: 1px solid #D9D9D9;
}

.btn_tab {
    display: flex;
    width: 100%;
    height: 100%;
    color: #D9D9D9;
    font-size: 17px;
    line-height: 2rem;
    text-decoration: none;
    justify-content: center;
}

.btn_tab_action {
    display: flex;

    width: 100%;
    height: 100%;
    color: #027353;
    font-size: 18px;
    line-height: 2rem;
    text-decoration: none;
    background-color: #D9D9D9;
    border-radius: 6px;
    justify-content: center;
    margin: .5rem;
}

.btn_tab_action:hover {
    background-color: #267365;
    color: #D9D9D9;
}

.div_tab {
    display: flex;
}

tbody {
    overflow-y: scroll;
    height: 100%;
}

/** FILTRES **/
.div_filtre{
    width: 40%;
}

.div_label_input {
    display: flex;
    justify-content: space-between;
}

.input_filtre {
    background-color: #D9D9D9;
    line-height: normal;
    width: 50%;
    border-width: 0;
    padding-left: 10px;
    -webkit-box-sizing: border-box;
    align-self: flex-end;
}

.container_label{
    justify-content: flex-end;
}

.div_event_profil {
    display: flex;
    flex-direction: row-reverse;
    margin-right: .5rem;
}

.btn_rechercher_filtre {
    display: flex;
    width: 16%;
    height: 100%;
    color: #027353;
    font-size: 20px;
    line-height: 2rem;
    justify-content: center;
    background-color: #D9D9D9;
    border-radius: 6px;
    border: none;
    cursor: pointer;
    text-decoration: none;
}


.btn_rechercher_filtre:hover {
    background-color: #267365;
    color: #D9D9D9;
}